gdjs.FillerCode = {};
gdjs.FillerCode.GDNewObjectObjects1= [];
gdjs.FillerCode.GDNewObjectObjects2= [];

gdjs.FillerCode.conditionTrue_0 = {val:false};
gdjs.FillerCode.condition0IsTrue_0 = {val:false};
gdjs.FillerCode.condition1IsTrue_0 = {val:false};
gdjs.FillerCode.condition2IsTrue_0 = {val:false};
gdjs.FillerCode.conditionTrue_1 = {val:false};
gdjs.FillerCode.condition0IsTrue_1 = {val:false};
gdjs.FillerCode.condition1IsTrue_1 = {val:false};
gdjs.FillerCode.condition2IsTrue_1 = {val:false};


gdjs.FillerCode.eventsList0 = function(runtimeScene) {

{


gdjs.FillerCode.condition0IsTrue_0.val = false;
{
{gdjs.FillerCode.conditionTrue_1 = gdjs.FillerCode.condition0IsTrue_0;
gdjs.FillerCode.condition0IsTrue_1.val = false;
gdjs.FillerCode.condition1IsTrue_1.val = false;
{
gdjs.FillerCode.condition0IsTrue_1.val = gdjs.evtTools.input.isMouseButtonReleased(runtimeScene, "Left");
if( gdjs.FillerCode.condition0IsTrue_1.val ) {
    gdjs.FillerCode.conditionTrue_1.val = true;
}
}
{
gdjs.FillerCode.condition1IsTrue_1.val = gdjs.evtTools.input.isMouseButtonReleased(runtimeScene, "Right");
if( gdjs.FillerCode.condition1IsTrue_1.val ) {
    gdjs.FillerCode.conditionTrue_1.val = true;
}
}
{
}
}
}if (gdjs.FillerCode.condition0IsTrue_0.val) {
{gdjs.evtTools.runtimeScene.replaceScene(runtimeScene, "MainMenu", false);
}}

}


};

gdjs.FillerCode.func = function(runtimeScene) {
runtimeScene.getOnceTriggers().startNewFrame();

gdjs.FillerCode.GDNewObjectObjects1.length = 0;
gdjs.FillerCode.GDNewObjectObjects2.length = 0;

gdjs.FillerCode.eventsList0(runtimeScene);
return;

}

gdjs['FillerCode'] = gdjs.FillerCode;
